/**
 * 响应拦截
 * @param {Object} http 
 */
module.exports = (vm) => {
	// 响应拦截
	uni.$u.http.interceptors.response.use((response) => { /* 对响应成功做点什么 可使用async await 做异步操作*/
		const data = response.data
		console.info('interceptorsresponse',data)
		if (data.code == 200) {
			return Promise.resolve(data);
		}else if(data.code === 401){
			uni.showToast({
				icon:"none",
				title:data.message
			})
			uni.removeStorageSync('token')
			uni.removeStorageSync('userInfo')
			uni.removeStorageSync('sessionKey')
			uni.navigateTo({
				url:"/pages/auth/index"
			})
			return;
		}else if(data.code === 500 && (data.message == '操作失败，token非法无效!' || data.message == '操作失败，用户不存在!')){
			uni.$u.toast(data.message)
			uni.showToast({
				icon:"none",
				title:data.message
			})
			uni.removeStorageSync('token')
			uni.removeStorageSync('userInfo')
			uni.removeStorageSync('sessionKey')
			uni.navigateTo({
				url:"/pages/auth/index"
			})
			return;
		}else{
			uni.showToast({
				icon:"none",
				title:data.message
			})
			return Promise.reject(data)
		}
	}, (response) => { 
		const data = response.data
		console.info('responseresponse',data)
		if(data.code === 401){
			uni.removeStorageSync('token')
			uni.removeStorageSync('userInfo')
			uni.removeStorageSync('sessionKey')
			uni.navigateTo({
				url:"/pages/auth/index"
			})
			return;
		}
		return Promise.reject(response)
	})
}